Dependent module /opt/freeware/lib/libiconv.a(shr4_64.o) could not be loaded.

book

Article ID: 8661

calendar_today

Updated On:

Products

DX Unified Infrastructure Management (Nimsoft / UIM)

Issue/Introduction

Robot doesn't start on AIX 7.1

[xxxxxxxx:root:/opt/nimsoft/bin # ./niminit start 

Starting NimBUS 

Could not load program ./nimbus: 

Dependent module /opt/freeware/lib/libiconv.a(shr4_64.o) could not be loaded. 

Member shr4_64.o is not found in archive 

Cause

Libiconv package 1.13.1-1 installed on that AIX box

 

[xxxxxxxx:root:/opt/nimsoft/bin # lslpp -L | grep -i iconv

bos.iconv.com 7.1.3.0 C F Common Language to Language

bos.iconv.ucs.com 7.1.3.15 C F Unicode Base Converters for

bos.rte.iconv 7.1.3.15 C F Language Converters

libiconv 1.13.1-1 C R Character Translation Library

Environment

UIM 8.51 or later
Robot 7.91 or later on AIX 7.1 or later

Resolution

Upgrade Libiconv package to version 1.15-1


To check the version of the libiconv package installed:

[xxxxxxxx:root:/opt/nimsoft/bin # lslpp -L | grep -i iconv

bos.iconv.com 7.1.3.0 C F Common Language to Language

bos.iconv.ucs.com 7.1.3.15 C F Unicode Base Converters for

bos.rte.iconv 7.1.3.15 C F Language Converters

libiconv 1.15-1 C R Character set conversion library, portable iconv



 

Additional Information

AIX Toolbox for Linux Applications:
https://www.ibm.com/developerworks/aix/library/aix-toolbox/date.html


Libiconv package version 1.15-1:
http://www.perzl.org/aix/index.php?n=Main.Libiconv


7.9x and 9.2x robots will work with either the 1.15-1 or 1.14-2 libiconv rpm package versions.

If the problem is not fully resolved by installing the libiconv rpm package, it may be necessary to install/reinstall one or more of the appropriate AIX iconv filesets:

bos.iconv.com
bos.iconv.ucs.com
bos.rte.iconv